Mail archive
alpine-aports

[alpine-aports] [PATCH] new aport for hardlink, an utility that finds multiple copies of files and replaces them with hardlinks

From: <anarch.linux_at_gmail.com>
Date: Wed, 20 Jan 2016 08:10:26 +0200

From: Valery McHno <anarch.linux_at_gmail.com>

---
 testing/hardlink/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/hardlink/APKBUILD
diff --git a/testing/hardlink/APKBUILD b/testing/hardlink/APKBUILD
new file mode 100644
index 0000000..b53f45c
--- /dev/null
+++ b/testing/hardlink/APKBUILD
_at_@ -0,0 +1,36 @@
+# Maintainer: Valery McHno <anarch.linux_at_gmail.com>
+pkgname=hardlink
+pkgver=0.3.0
+pkgrel=0
+pkgdesc="Finds multiple copies of files and replaces them with hardlinks"
+url="http://jak-linux.org/projects/hardlink/"
+arch="all"
+license="MIT"
+depends=""
+makedepends="pcre musl-dev"
+subpackages="$pkgname-doc"
+source="http://jak-linux.org/projects/hardlink/${pkgname}_${pkgver}.tar.xz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="72f1a460adb6874c151deab766e434ad  hardlink_0.3.0.tar.xz"
+sha256sums="e8c93dfcb24aeb44a75281ed73757cb862cc63b225d565db1c270af9dbb7300f  hardlink_0.3.0.tar.xz"
+sha512sums="22a8945ce5dac74b05bb1231959823aec0cd364d6db9ad808df4acf232d894170c006ac1e88509604ce1859d41bd4a5d91e2b12c8010aa7fc7e19a77922c4486  hardlink_0.3.0.tar.xz"
-- 
2.7.0.rc3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 20 2016 - 08:10:26 GMT